package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.credit.util.EncryptUtils;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Iterator;
import net.sf.json.JSONObject;
import org.apache.cxf.jaxrs.client.WebClient;

/* loaded from: com_ynet_life_credit_business.jar:com/ynet/life/credit/business/GetCorpScoreAction.class */
public class GetCorpScoreAction extends LifeAction {
    public String pic_namecn;
    public String cardCode;
    public String reportType;
    private static final String JFWS_URL = "http://172.18.8.101:8082/yqqf-ws/";
    private static final String key = "9A957521D5091909";
    private String belongBranch = "金融办";
    private static String user = "qfzx-jk";

    public String execute(Context context) throws GENEException {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        Calendar cal = Calendar.getInstance();
        context.put("d2_create_time", sdf.format(cal.getTime()));
        String corpNameValue = context.getDataValue(this.pic_namecn) == null ? "" : context.getDataValue(this.pic_namecn).toString();
        String certifiCateCodeValue = context.getDataValue(this.cardCode) == null ? "" : context.getDataValue(this.cardCode).toString();
        if ("1".equals(this.reportType)) {
            try {
                JSONObject jsonOb = JSONObject.fromObject(getScoreInfo(certifiCateCodeValue, corpNameValue, context));
                context.put("serResult", jsonOb.toString());
                Iterator<String> itor = jsonOb.keys();
                while (itor.hasNext()) {
                    try {
                        String key2 = itor.next();
                        String value = jsonOb.get(key2).toString();
                        JSONObject jsonOb2 = JSONObject.fromObject(value);
                        Iterator<String> itor2 = jsonOb2.keys();
                        while (itor2.hasNext()) {
                            String key22 = itor2.next();
                            String value2 = jsonOb2.get(key22).toString();
                            context.put(key22, value2);
                        }
                        context.put(key2, value);
                    } catch (Exception unused) {
                    }
                }
            } catch (Exception e) {
                throw new GENEException("EBLN0010", "查询征信异常", e);
            }
        }
        if ("2".equals(this.reportType)) {
            try {
                JSONObject corpBaseJson = JSONObject.fromObject(getCorpBaseInfo(certifiCateCodeValue, corpNameValue, context));
                context.put("serResult", corpBaseJson.toString());
                Iterator<String> itor3 = corpBaseJson.keys();
                while (itor3.hasNext()) {
                    try {
                        String itorkey = itor3.next();
                        String values = corpBaseJson.get(itorkey).toString();
                        context.put(itorkey, values);
                    } catch (Exception unused2) {
                    }
                }
                return "0";
            } catch (Exception e2) {
                throw new GENEException("EBLN0010", "查询工商信息和额度异常", e2);
            }
        }
        return "0";
    }

    private String getScoreInfo(String cardCode, String corpName, Context context) throws Exception {
        WebClient client = WebClient.create(JFWS_URL);
        client.path("yqqfService/getScoreInfo").accept(new String[]{"application/json"}).type("application/json");
        System.out.println(client.getCurrentURI());
        String queryUser = user;
        String strCorpName = EncryptUtils.encrypt(corpName, key);
        String strCertifiCateCode = EncryptUtils.encrypt(cardCode, key);
        String strQueryUser = EncryptUtils.encrypt(queryUser, key);
        client.replaceQueryParam("cardCode", new Object[]{strCertifiCateCode}).replaceQueryParam("corpName", new Object[]{strCorpName}).replaceQueryParam("wsUser", new Object[]{strQueryUser});
        System.out.println(client.getCurrentURI());
        String result = (String) client.get(String.class);
        System.out.println("征信返回结果========" + EncryptUtils.decrypt(result, key));
        context.put("serName", client.getCurrentURI());
        JSONObject jsParam = new JSONObject();
        jsParam.put("cardCode", strCertifiCateCode);
        jsParam.put("corpName", strCorpName);
        jsParam.put("wsUser", strQueryUser);
        context.put("accesstoken", jsParam.toString());
        return EncryptUtils.decrypt(result, key);
    }

    private String getCorpBaseInfo(String cardCode, String corpName, Context context) throws Exception {
        WebClient client = WebClient.create(JFWS_URL);
        client.path("yqqfService/getCorpBaseInfo").accept(new String[]{"application/json"}).type("application/json");
        System.out.println(client.getCurrentURI());
        String queryUser = user;
        String strCorpName = EncryptUtils.encrypt(corpName, key);
        String strCertifiCateCode = EncryptUtils.encrypt(cardCode, key);
        String strQueryUser = EncryptUtils.encrypt(queryUser, key);
        client.replaceQueryParam("cardCode", new Object[]{strCertifiCateCode}).replaceQueryParam("corpName", new Object[]{strCorpName}).replaceQueryParam("wsUser", new Object[]{strQueryUser});
        System.out.println(client.getCurrentURI());
        String result = (String) client.get(String.class);
        System.out.println("工商信息和额度返回结果========" + EncryptUtils.decrypt(result, key));
        context.put("serName", client.getCurrentURI());
        JSONObject jsParam = new JSONObject();
        jsParam.put("cardCode", strCertifiCateCode);
        jsParam.put("corpName", strCorpName);
        jsParam.put("wsUser", strQueryUser);
        context.put("accesstoken", jsParam.toString());
        return EncryptUtils.decrypt(result, key);
    }

    public static void main(String[] args) {
        System.out.println(EncryptUtils.decrypt("i8EiAwHbYree2TZUdf/mJQ%3D%3D", key));
    }

    public String getPic_namecn() {
        return this.pic_namecn;
    }

    public void setPic_namecn(String pic_namecn) {
        this.pic_namecn = pic_namecn;
    }

    public String getCardCode() {
        return this.cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getReportType() {
        return this.reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }
}
